# Automata
sympy
ltlf2dfa

# CNN
pandas
matplotlib
torchvision
torch

# LLM
spacy # incompatible with python 3.13
inflect
# python -m spacy download en_core_web_md
pycocoevalcap
pyinflect
numpy
datasets
openai
huggingface_hub
transformers
accelerate
outlines
guidance
FAdo
tqdm